

#include "BUILTIN.h"

#include "Denotation.h"

#include "Nat.h"

#include "Char.h"
extern OBJ __APrintableChar_10;
extern OBJ _AString_2(OBJ,OBJ);extern OBJ __AString_2;
extern OBJ __AString_8;
extern OBJ _AString_24(OBJ,OBJ);extern OBJ __AString_24;
extern OBJ _AString_49(OBJ);extern OBJ __AString_49;
extern OBJ _AStringConv_1(OBJ);extern OBJ __AStringConv_1;
extern OBJ _AStringFormat_1(OBJ,OBJ);extern OBJ __AStringFormat_1;
extern OBJ _ABTUnion_29(OBJ,OBJ);extern OBJ __ABTUnion_29;
extern OBJ _ABTUnion_36(OBJ);extern OBJ __ABTUnion_36;

#include "Int.h"

#include "Real.h"

#include "Array.h"

#include "UserAndGroupConv.h"

#define __AUserAndGroupConv_Sq_O1_L13 __AUserAndGroupConv_13
extern OBJ __AUserAndGroupConv_Sq_O1_L13;

#define __AUserAndGroupConv_Sq_O3_L14 __AUserAndGroupConv_14
extern OBJ __AUserAndGroupConv_Sq_O3_L14;
extern OBJ _AUserAndGroupConv_Sq(OBJ);OBJ __AUserAndGroupConv_Sq; /* ` */
extern OBJ _AUserAndGroupConv_Sq_O1(OBJ);OBJ __AUserAndGroupConv_Sq_O1; /* `,1 */
extern OBJ _AUserAndGroupConv_Sq_O2(OBJ);OBJ __AUserAndGroupConv_Sq_O2; /* `,2 */
extern OBJ _AUserAndGroupConv_Sq_O3(OBJ);OBJ __AUserAndGroupConv_Sq_O3; /* `,3 */
extern OBJ _AUserAndGroupConv_Ahc_Aconvuserid(OBJ);OBJ __AUserAndGroupConv_Ahc_Aconvuserid; /* hc_convuserid */
extern OBJ _AUserAndGroupConv_Ahc_Aconvgroupid(OBJ);OBJ __AUserAndGroupConv_Ahc_Aconvgroupid; /* hc_convgroupid */
extern OBJ _AUserAndGroupConv_Sq_O4(OBJ);OBJ __AUserAndGroupConv_Sq_O4; /* `,4 */
extern OBJ _AUserAndGroupConv_Sq_O5(OBJ);OBJ __AUserAndGroupConv_Sq_O5; /* `,5 */
OBJ __AUserAndGroupConv_Sq_O1_L13; /* `,1'13 */
OBJ __AUserAndGroupConv_Sq_O3_L14; /* `,3'14 */

#include "UserAndGroupConv.hc.c"

extern OBJ _AUserAndGroupConv_Sq(OBJ x1) /* ` */
{OBJ r;
 AUserAndGroupConv_Ahc_Aconvuserid(x1,r);
 return r;}

extern OBJ _AUserAndGroupConv_Sq_O1(OBJ x1) /* `,1 */
{OBJ r;
 {OBJ x40=FLD1(x1,1);OBJ x41=FLD1(x1,2);OBJ x42=FLD1(x1,3);OBJ x43=FLD1(x1,4);OBJ x44=FLD1(x1,5);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   CPPRD(x40,1);COPY(x41,1);COPY(x42,1);CPPRD(x43,1);CPPRD(x44,1);
   FRPRD(x1,1);}
  CPPRD(__AUserAndGroupConv_Sq_O1_L13,1);
  {OBJ x45;OBJ x46;OBJ x47;OBJ x48;OBJ x49;OBJ x50;OBJ x51;OBJ x52;
   x45=_ABTUnion_36(x44);
   AUserAndGroupConv_Ahc_Aconvgroupid(x42,x46);
   AUserAndGroupConv_Ahc_Aconvuserid(x41,x47);
   x48=_ABTUnion_29(x43,x45);
   x49=_ABTUnion_29(x46,x48);
   x50=_ABTUnion_29(x47,x49);
   x51=_ABTUnion_29(x40,x50);
   x52=_AStringFormat_1(__AUserAndGroupConv_Sq_O1_L13,x51);
   r=_AStringConv_1(x52);}}
 return r;}

extern OBJ _AUserAndGroupConv_Sq_O2(OBJ x1) /* `,2 */
{OBJ r;
 AUserAndGroupConv_Ahc_Aconvgroupid(x1,r);
 return r;}

extern OBJ _AUserAndGroupConv_Sq_O3(OBJ x1) /* `,3 */
{OBJ r;
 {OBJ x21=FLD1(x1,1);OBJ x22=FLD1(x1,2);OBJ x23=FLD1(x1,3);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   CPPRD(x21,1);COPY(x22,1);COPY(x23,1);
   FRPRD(x1,1);}
  CPPRD(__AUserAndGroupConv_Sq_O3_L14,1);
  {OBJ x24;OBJ x25;OBJ x26;OBJ x27;OBJ x28;OBJ x29;OBJ x30;
   AUserAndGroupConv_Sq_O5(x23,x24);
   AUserAndGroupConv_Ahc_Aconvgroupid(x22,x25);
   x26=_AStringConv_1(x24);
   x27=_ABTUnion_36(x26);
   x28=_ABTUnion_29(x25,x27);
   x29=_ABTUnion_29(x21,x28);
   x30=_AStringFormat_1(__AUserAndGroupConv_Sq_O3_L14,x29);
   r=_AStringConv_1(x30);}}
 return r;}

extern OBJ _AUserAndGroupConv_Sq_O4(OBJ x1) /* `,4 */
{OBJ r;
 {OBJ x2;
  AUserAndGroupConv_Sq_O5(x1,x2);
  r=_AStringConv_1(x2);}
 return r;}

extern OBJ _AUserAndGroupConv_Sq_O5(OBJ x1) /* `,5 */
{OBJ r;
 if(ISPRM(x1)){
  COPY(__AString_8,1);
  r=__AString_8;
 }else{
  {OBJ x29=FLD1(x1,1);OBJ x30=FLD1(x1,2);
   if(EXPRD(x1,1)){
    DSPRDF(x1);
   }else{
    CPPRD(x29,1);COPY(x30,1);
    FRPRD(x1,1);}
   {OBJ x32;
    x32=_AString_49(x29);
    if(ISPRM(x30)){
     r=x32;
    }else{
     {OBJ x35;OBJ x36;
      AUserAndGroupConv_Sq_O5(x30,x35);
      x36=_AString_2(__APrintableChar_10,x35);
      r=_AString_24(x32,x36);}}}}}
 return r;}

init_AUserAndGroupConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_AUserAndGroup();
 init_ADenotation();
 init_AOption();
 init_ASet();
 init_ACom();
 init_ANat();
 init_AVoid();
 init_ASeq();
 init_AChar();
 init_APrintableChar();
 init_AString();
 init_AStringConv();
 init_AStringFormat();
 init_ABTUnion();
 init_ASetConv();
 init_AInt();
 init_AReal();
 init_AOptionMap();
 init_AArray();
 init_AStringMapSeq();
 init_ASeqConv();
 DEN("%d::%d:%d",__AUserAndGroupConv_14);
 DEN("%d::%d:%d::%d:%d",__AUserAndGroupConv_13);
 CLS(1,_AUserAndGroupConv_12,__AUserAndGroupConv_12);
 CLS(1,_AUserAndGroupConv_11,__AUserAndGroupConv_11);
 CLS(1,_AUserAndGroupConv_10,__AUserAndGroupConv_10);
 CLS(1,_AUserAndGroupConv_9,__AUserAndGroupConv_9);
 CLS(1,_AUserAndGroupConv_4,__AUserAndGroupConv_4);
 CLS(1,_AUserAndGroupConv_3,__AUserAndGroupConv_3);
 CLS(1,_AUserAndGroupConv_2,__AUserAndGroupConv_2);
 CLS(1,_AUserAndGroupConv_1,__AUserAndGroupConv_1);
 init_const_AUserAndGroupConv();}

